Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class ModelPerformer

    java.lang.Object
      com.sun.media.sound.ModelPerformer

    public class ModelPerformer

extends java.lang.Object

This class is used to define how to synthesize audio in universal maner for both SF2 and DLS instruments.

Author:
  Karl Helgason

Constructor Summary
`ModelPerformer()`

Method Summary
`java.util.List<ModelConnectionBlock>` | `getConnectionBlocks()`
`int` | `getExclusiveClass()`
`int` | `getKeyFrom()`
`int` | `getKeyTo()`
`java.lang.String` | `getName()`
`java.util.List<ModelOscillator>` | `getOscillators()`
`java.lang.Object` | `getUserObject()`
`int` | `getVelFrom()`
`int` | `getVelTo()`
`boolean` | `isDefaultConnectionsEnabled()`
`boolean` | `isReleaseTriggered()`
`boolean` | `isSelfNonExclusive()`
`void` | `setConnectionBlocks(java.util.List<ModelConnectionBlock> connectionBlocks)`
`void` | `setDefaultConnectionsEnabled(boolean addDefaultConnections)`
`void` | `setExclusiveClass(int exclusiveClass)`
`void` | `setKeyFrom(int keyFrom)`
`void` | `setKeyTo(int keyTo)`
`void` | `setName(java.lang.String name)`
`void` | `setReleaseTriggered(boolean value)`
`void` | `setSelfNonExclusive(boolean selfNonExclusive)`
`void` | `setUserObject(java.lang.Object object)`
`void` | `setVelFrom(int velFrom)`
`void` | `setVelTo(int velTo)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelPerformer

    public ModelPerformer()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getConnectionBlocks

    public java.util.List<ModelConnectionBlock> getConnectionBlocks()

### setConnectionBlocks

    public void setConnectionBlocks(java.util.List<ModelConnectionBlock> connectionBlocks)

### getOscillators

    public java.util.List<ModelOscillator> getOscillators()

### getExclusiveClass

    public int getExclusiveClass()

### setExclusiveClass

    public void setExclusiveClass(int exclusiveClass)

### isSelfNonExclusive

    public boolean isSelfNonExclusive()

### setSelfNonExclusive

    public void setSelfNonExclusive(boolean selfNonExclusive)

### getKeyFrom

    public int getKeyFrom()

### setKeyFrom

    public void setKeyFrom(int keyFrom)

### getKeyTo

    public int getKeyTo()

### setKeyTo

    public void setKeyTo(int keyTo)

### getVelFrom

    public int getVelFrom()

### setVelFrom

    public void setVelFrom(int velFrom)

### getVelTo

    public int getVelTo()

### setVelTo

    public void setVelTo(int velTo)

### isReleaseTriggered

    public boolean isReleaseTriggered()

### setReleaseTriggered

    public void setReleaseTriggered(boolean value)

### getUserObject

    public java.lang.Object getUserObject()

### setUserObject

    public void setUserObject(java.lang.Object object)

### isDefaultConnectionsEnabled

    public boolean isDefaultConnectionsEnabled()

### setDefaultConnectionsEnabled

    public void setDefaultConnectionsEnabled(boolean addDefaultConnections)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD